System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.TypeConverter

The is typically used within the context of sited components or a design environment. Without a component site or a usable , this converter is of little use.

This converter converts a reference of an object that implements the interface and displays its properties in the Properties window.

For more information about type converters, see the base class and How to: Implement a Type Converter.

You should never create an instance of the class. Instead, call the method of the class. For more information, see the examples in the base class.

This class provides the method to check whether a particular value can be added to the standard values collection. If you do not want to add the value to the collection, override this method.

Provides a type converter to convert object references to and from other representations.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

  A that represents the type to associate with this reference converter.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  Gets a value indicating whether this converter can convert an object in the given source type to a reference object using the specified context.

  true if this object can perform the conversion; otherwise, false.

  An that provides a format context. A that represents the type you wish to convert from.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` ``

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  Converts the given object to the reference type.

  An that represents the converted .

  An that provides a format context. A that specifies the culture used to represent the font. The to convert.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` `` ``

  This method most commonly converts types to and from string objects.

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  Converts the given value object to the reference type using the specified context and arguments.

  The converted object.

  An that provides a format context. A that specifies the culture used to represent the font. The to convert. The type to convert the object to.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.TypeConverter+StandardValuesCollection ``

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  Gets a collection of standard values for the reference data type.

  A that holds a standard set of valid values, or null if the data type does not support a standard set of values.

  An that provides a format context.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  Gets a value indicating whether the list of standard values returned from is an exclusive list.

  true because the returned from is an exhaustive list of possible values. This method never returns false.

  An that provides a format context.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  Gets a value indicating whether this object supports a standard set of values that can be picked from a list.

  true because can be called to find a common set of values the object supports. This method never returns false.

  An that provides a format context.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  This method is called for each value that matches the type associated with this and for each component found that is of the associated type. By default, this method returns true, that is, it allows adding the value into the standard values collection.

  Returns a value indicating whether a particular value can be added to the standard values collection.

  true if the value is allowed and can be added to the standard values collection; false if the value cannot be added to the standard values collection.

  An that provides an additional context. The value to check.